PHP Manual
Prev |  | Next

# HttpResponse::setBufferSize

(no version information, might be only in CVS)

HttpResponse::setBufferSize -- Set buffer size

## Description

staticbool HttpResponse::setBufferSize ( int bytes )

Sets the send buffer size of the throttling mechanism.

> Note: Provides a basic throttling mechanism, which will yield the current process respectively thread until the entity has been completely sent.

> Note: This may not work as expected with the following SAPI(s): FastCGI.

## Parameters

`bytes`

  the chunk size in bytes

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

HttpResponse::getBufferSize()
HttpResponse::getThrottleDelay()
HttpResponse::setThrottleDelay()

Prev | Home | Next
HttpResponse::send | Up | HttpResponse::setCacheControl